Updating from 1.1.0 to 1.1.4

Asked by Thomas Woods on 2019-02-15

Hello, all im working on a framework for testing a CyberSecurity game developed in Unity. We have gotta alot of code written so far until we realized we were using the old sikuli api. So I grabbed the latest nightly build and added it to a repo in my pom then added then added the dependancy(this is maven). For some reason its not updating properly, I tried going to the build path and add external jar and selecting the new jar file. While this worked, there was some classes that are not working. One example is Pattern, any place we used Pattern it says there is no artifact or javadocs for this class. I did do a clean wipe of the files located in the .m2/com/sikuli folder before doing the addbuild path. Is there any solid information on updating this? Or is it possible to use the maven installer to search for the jar im wanting add and have it add the sikuliapi for me? Thanks for any help

Question information

Language:
English Edit question
Status:
Answered
For:
Sikuli Edit question
Assignee:
No assignee Edit question
Last query:
2019-02-15
Last reply:
2019-02-15
RaiMan (raimund-hocke) said : #1

might be a typo, but it is not
.m2/com/sikuli

but
.m2/com/sikulix

... and 1.1.4 is only available as snapshot from OSSRH (see github Read.me)

Can you help with this problem?

Provide an answer of your own, or ask Thomas Woods for more information if necessary.

To post a message you must log in.